with GNATCOLL.Refcount;   use GNATCOLL.Refcount;
with Support;             use Support;
with Ada.Text_IO;         use Ada.Text_IO;

procedure Test_Notask is
   procedure Proc (A : Integer) is
   begin
      null;
   end Proc;

   R : Pointers.Ref;
begin
   Put_Line ("using task_safe=" & Pointers.Is_Task_Safe'Img);
   R.Set (1);
   R.Process (Proc'Access);

end Test_Notask;
